package com.ym.mec.biz.dal.school.dto;

import com.ym.mec.biz.dal.enums.ClassGroupTypeEnum;
import com.ym.mec.biz.dal.school.page.TeacherAttendanceQueryInfo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class TeacherAttendanceSumDto {
    @ApiModelProperty(value = "老师姓名")
    private String teacherName;

    @ApiModelProperty(value = "老师头像")
    private String teacherAvatar;

    @ApiModelProperty(value = "班级类型")
    private ClassGroupTypeEnum classGroupType;

    @ApiModelProperty(value = "班级编号")
    private Integer classGroupId;

    @ApiModelProperty(value = "老师编号")
    private Integer teacherId;

    @ApiModelProperty(value = "本周课程考勤状态")
    private TeacherAttendanceQueryInfo.TeacherAttendanceEnum teacherAttendanceStatus;

    @ApiModelProperty(value = "本学期异常考勤课程数")
    private Integer errCourseNum;

    @ApiModelProperty(value = "本学期总课程数")
    private Integer totalCourseNum;
}
